Bug 655849 - Scanning from sheet feeder does not work over network
Summary: Scanning from sheet feeder does not work over network
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: simple-scan
Version: 13
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-22 14:27 UTC by Ian Chapman
Modified: 2011-03-21 20:58 UTC (History)
1 user (show)

Fixed In Version: simple-scan-2.32.0.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-21 20:58:21 UTC


Attachments (Terms of Use)
The contents of /etc/sane.d/dll.d/hpaio (on server) (6 bytes, application/octet-stream)
2010-11-22 14:31 UTC, Ian Chapman
no flags Details
The contents of /etc/xinetd.d/sane-port (on server) (168 bytes, application/octet-stream)
2010-11-22 14:32 UTC, Ian Chapman
no flags Details
The contents of /etc/sane.d/net.conf (on client) (590 bytes, application/octet-stream)
2010-11-22 14:33 UTC, Ian Chapman
no flags Details

Description Ian Chapman 2010-11-22 14:27:26 UTC
Description of problem:

Scanning over the network from the sheet feeder does not work correctly. Only the first page is scanned then simple scanner says 'Unable to contact scanner'. The scanner however continues to feed sheets. If click scan again, once again it scans only the first page then repeats as before. If I attach the scanner locally, then it works as expected.


Version-Release number of selected component (if applicable):

simple-scan-1.0.2-1.fc13.x86_64
libsane-hpaio-3.10.6-1.fc13.x86_64
sane-backends-1.0.21-4.fc13.x86_64
sane-backends-libs-1.0.21-4.fc13.x86_64
sane-backends-libs-gphoto2-1.0.21-4.fc13.x86_64
sane-frontends-1.0.14-9.fc12.x86_64
xsane-0.997-10.fc13.x86_64
xsane-common-0.997-10.fc13.x86_64
xsane-gimp-0.997-10.fc13.x86_64

How reproducible:


Steps to Reproduce:
1. Launch simple scan after loading some docs into sheet feeder
2. Select scan all pages from feeder
3. First page is scanner only, then an error pops up
  
Actual results:

Only the first page is scanned, then it produces an error saying it's unable to contact the scanner.

Expected results:

It should scan all pages in the sheet feeder, as it does when the scanner is connected locally.

Additional info:

The scanner is part of a Multifunction printer, specifically the HP J4580 All-In-One. It's identified as an HP Officejet J4500 series in sane.

Comment 1 Ian Chapman 2010-11-22 14:31:47 UTC
Created attachment 462045 [details]
The contents of /etc/sane.d/dll.d/hpaio (on server)

Comment 2 Ian Chapman 2010-11-22 14:32:36 UTC
Created attachment 462046 [details]
The contents of /etc/xinetd.d/sane-port (on server)

Comment 3 Ian Chapman 2010-11-22 14:33:47 UTC
Created attachment 462047 [details]
The contents of /etc/sane.d/net.conf (on client)

Comment 4 Ian Chapman 2010-11-22 14:34:34 UTC
Just to clarify further, there's no network issues such as blocking firewall rules, poor DNS resolution or similar.

Comment 5 Ian Chapman 2010-12-20 13:11:08 UTC
Any news? Do you require further info?

Comment 6 Fedora Update System 2011-03-01 07:18:26 UTC
Package simple-scan-2.32.0.1-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing simple-scan-2.32.0.1-1.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/simple-scan-2.32.0.1-1.fc14
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-03-02 01:54:22 UTC
simple-scan-2.32.0.1-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update simple-scan'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/simple-scan-2.32.0.1-1.fc14

Comment 8 Ian Chapman 2011-03-04 11:33:55 UTC
This has made an improvement and now scanning over the network from the sheet feeder mostly works. However when the scan has finished it appears as if simple-scan does not close the device properly. My scanner continues to sit there saying scanning. Once I quite simple-scan, then the scanner is happy however it means I have to quit and reload simple-scan between each scanning job. Incidentally it also behaves this way locally so it's probably no longer a network related bug. Should I open a new BZ for this one?

Comment 9 Rahul Sundaram 2011-03-04 11:56:27 UTC
Yes, that seems to a slightly different bug and should be reported, preferably upstream at 

https://bugs.launchpad.net/simple-scan/+filebug/+login

If you don't have a launchpad account,  feel free to open up a new bug report here and I will copy/paste the info to upstream.

Comment 10 Fedora Update System 2011-03-21 20:57:55 UTC
simple-scan-2.32.0.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.